<?php

class i_mukurtu_3_0_3_install extends i_action_install
{
public function step2_init() {}
public function step2_process()
{
	

		// extract the 'main' archive:
		$this->extract("main");

		$this->mv('mukurtucms-3.0.3/*');
		
			$this->rm('mukurtucms-3.0.3');
		
			$this->cp('sites/default/default.settings.php','sites/default/settings.php');
		
			$this->sr('sites/default/settings.php', array(
		
				"#'database' \=\> ''#" => "'database' => '".$this->db_name."'",
		
				"#'username' \=\> ''#" => "'username' => '".$this->db_user."'",
		
				"#'password' \=\> ''#" => "'password' => '".$this->db_pass."'",
		
			));

// Create .htaccess fixer script
$shell_script = <<<EOM
#!/bin/bash

cd {$this->path}

grep "<IfModule Litespeed>" .htaccess 2>&1 /dev/null || \
/usr/bin/sed -i "1s/^/\\n/" .htaccess && \
/usr/bin/sed -i "1s/^/\\n/" .htaccess && \
/usr/bin/sed -i "1s/^/<\/IfModule>/" .htaccess && \
/usr/bin/sed -i "1s/^/\\n/" .htaccess && \
/usr/bin/sed -i "1s/^/SetEnv noconntimeout 1/" .htaccess && \
/usr/bin/sed -i "1s/^/\\n/" .htaccess && \
/usr/bin/sed -i "1s/^/SetEnv noabort 1/" .htaccess && \
/usr/bin/sed -i "1s/^/\\n/" .htaccess && \
/usr/bin/sed -i "1s/^/<IfModule Litespeed>/" .htaccess

EOM;

// Write and execute .htaccess fixer script
$this->write("mukurtu_htaccess_fixer.sh", $shell_script);
$this->sr("mukurtu_htaccess_fixer.sh", "#\r#", "");	
exec("/usr/bin/nohup /bin/sh {$this->path}/mukurtu_htaccess_fixer.sh &> /dev/null &");

		
}
}

?>